Ticket #35435

2015.4 に向けた既存の翻訳の再検討

Open Date: 2015-08-25 14:40 Last Update: 2015-11-13 15:59

Reporter: nishimoto Owner: nishimoto
Type: Patches Status: Closed
Component: 翻訳 MileStone: 2015.4 (closed)
Priority: 5 - Medium Severity: 5 - Medium
Resolution: Accepted

Details

2015.4 に向けた既存の翻訳の再検討について。

西本が気になっていることを挙げておきます。

  • ブラウズモードなどで上下左右の端にぶつかったときに左右は「左」「右」なのに上下は「トップ」「ボトム」
  • リスト項目などで「オブジェクトの位置情報」が「1の10」「2の10」「3の10」のようになっているが、「10の1」「10の2」「10の3」のようにできる。もっと丁寧にするなら「10項目中1番」のようにもできる。

いままで議論してこなかったニーズですが、iOS のボイスオーバーの日本語にもっと NVDA を合わせたらどうか、という考えもあります。

Attachment File List

No attachments

Ticket History (3/17 Histories)

2015-08-25 14:40 Updated by: nishimoto
  • New Ticket "2015.4 に向けた既存の翻訳の再検討" created
2015-08-25 19:15 Updated by: nishimoto
Comment

2015.3 で導入された操作 NVDA+Shift+スペース について、 「1文字ナビゲーションを使う」 「1文字ナビゲーションを使わない」 というトグルになっているが、実際に GMail でこの機能を使ってみると、 「1文字ナビゲーションを使う」 「文字を直接入力」 みたいに状態を伝えたほうがよさそうに思える。

2015-08-29 11:47 Updated by: nishimoto
Comment

ユーザーガイドの「9.2. 設定の保存と再読込」に誤訳がある。

NVDAは自動的に変更された設定項目を保存します。

https://www.nvda.jp/nvda2015.3jp/ja/userGuide.html#toc71

By default NVDA will automatically save your settings on exit.

https://www.nvda.jp/nvda2015.3jp/en/userGuide.html#toc71

on exit に対応する日本語が抜けているから、 設定項目の自動保存がいつ行われるのか、ちゃんと説明できていない。

2015-08-29 21:01 Updated by: nishimoto
  • Resolution Update from None to Accepted
Comment

設定情報の保存に関するユーザーガイドの修正:

Index: userGuide.t2t
===================================================================
--- userGuide.t2t	(revision 23280)
+++ userGuide.t2t	(working copy)
@@ -1204,17 +1204,17 @@
 OK ボタンを押すとすべての変更を保存してダイアログを閉じます。キャンセルを押すと変更は破棄されます。
 
 ++ 設定の保存と再読込 ++
-NVDAは自動的に変更された設定項目を保存します。
-しかしながら、この設定は、設定メニュー内の一般設定ダイアログ内のオプションで変更することができます。
-設定の保存を自動で行わないようにするには、NVDAメニューの中の"設定情報の保存"を変更してください。
+NVDAの設定情報は、NVDAが終了するときに自動的に保存されます。
+ただし「設定」メニューの「一般設定」ダイアログのオプション「終了時に設定情報を保存」をチェックなしにすると、NVDAが終了するときに設定が保存されません。
+設定を手動で保存するには、NVDAメニューの「設定情報の保存」を実行してください。
 
-もしも設定に失敗して、すでに保存されている設定状態に戻さなければならなくなった場合は、NVDAメニューの中の"前回保存された設定に戻す"という項目を選択してください。
-また、設定をリセットしてNVDAがインストールされた直後と同じ状態に戻すには、"設定のリセット"を選択してください。これもNVDAメニューの中にあります。
+もしも設定に失敗して、前回保存した設定に戻す場合は、NVDAメニューの「前回保存された設定に戻す」を実行してください。
+また、設定をリセットしてNVDAがインストールされた直後と同じ設定に戻すには、NVDAメニューの「設定のリセット」を実行してください。
 
-以下のNVDAキーボードコマンドも便利です。
+以下のNVDAのキーボードコマンドも覚えておくと便利です。
 %kc:beginInclude
 || 名称 | デスクトップ用キー | ラップトップ用キー | 説明 |
-| 設定の保存 | NVDA+Ctrl+C | NVDA+Ctrl+C | 現在の設定を保存してNVDA終了後も設定が消えないようにします。 |
+| 設定情報の保存 | NVDA+Ctrl+C | NVDA+Ctrl+C | 現在の設定を保存してNVDA終了後も設定が消えないようにします。 |
 | 設定を戻す | NVDA+Ctrl+R | NVDA+Ctrl+R | 1回押すと前回保存された設定に戻します。3回押すと設定をリセットします。 |
 %kc:endInclude
 
2015-08-29 23:12 Updated by: nishimoto
Comment

#35434 の問題は部分的には日本語に固有の問題らしいので、翻訳で直そう。。 具体的には文字列にスペースが含まれないと wx.StaticText が適切にワードラップしない問題の影響と思われる:

diff --git a/source/locale/ja/LC_MESSAGES/nvda.po b/source/locale/ja/LC_MESSAGES/nvda.po
index cdea7d5..6e19546 100755
--- a/source/locale/ja/LC_MESSAGES/nvda.po
+++ b/source/locale/ja/LC_MESSAGES/nvda.po
@@ -6413,7 +6413,7 @@ msgid ""
 "installing the earlier version."
 msgstr ""
 "現在インストールされているNVDAよりも前のバージョンのNVDAをインストールしてい"
-"ます。過去のバージョンに戻したい場合は、このインストールをキャンセルして、過"
+"ます。\n過去のバージョンに戻したい場合は、このインストールをキャンセルして、過"
 "去のバージョンをインストールする前に現在のバージョンをアンインストールしてく"
 "ださい。"
2015-09-05 19:59 Updated by: nishimoto
Comment

NVDA では blank の翻訳を「空行」にしていますが、 行の全体がブランクでない場合も NVDA ではブランクと報告される場合があります。

カナ漢字変換で変換前の文字列の右端でカーソルを移動すると「空行」と読み上げられる、 あるいはさきほど確認したケースだと LibreOffice Writer で行末の「改行」に相当する場所に 次の行の先頭から左矢印キーで移動したときも「空行」と読んでいるようです。

空白の文字コードを読み上げる場合とは区別できなくてはいけないので、 このようなブランクは空白と翻訳したくありません。

安直ですが「ブランク」と翻訳するほうが、混乱しにくいのではないかと思います。

2015-09-05 22:56 Updated by: nishimoto
Comment

既存の翻訳の更新案。

要点:

  • blank をブランクと翻訳
  • 「1文字ナビゲーションを使用しない」モードを「矢印キーだけを移動に使用」モードと表現
  • top bottom を「トップ」「ボトム」から「一番上」「一番下」に変更
  • "自動的に確認してNVDAを更新" を "NVDAの更新を自動的に確認" に訂正(原文により忠実にするため)、その他のインストールや更新に関するメッセージの改良
Index: nvda.po
===================================================================
--- nvda.po	(revision 23348)
+++ nvda.po	(working copy)
@@ -6,7 +6,7 @@
 "Project-Id-Version: NVDA bzr main:5884\n"
 "Report-Msgid-Bugs-To: \n"
 "POT-Creation-Date: 2015-08-25 19:09+1000\n"
-"PO-Revision-Date: 2015-09-02 22:48+0900\n"
+"PO-Revision-Date: 2015-09-05 22:50+0900\n"
 "Last-Translator: Takuya Nishimoto <nishimotz@gmail.com>\n"
 "Language-Team: NVDA Japanese Team <nishimotz@gmail.com>\n"
 "Language: ja\n"
@@ -736,7 +736,7 @@
 
 #. Translators: Reported when single letter navigation in browse mode is turned off.
 msgid "Single letter navigation off"
-msgstr "1文字ナビゲーションを使わない"
+msgstr "矢印キーだけを移動に使用"
 
 #. Translators: Reported when single letter navigation in browse mode is turned on.
 msgid "Single letter navigation on"
@@ -748,9 +748,8 @@
 "browse mode jump to various kinds of elements on the page. When off, these "
 "keys are passed to the application"
 msgstr ""
-"1文字ナビゲーションの切り替え。使用するとブラウズモードで1文字のキーによって"
-"ページ内の各要素にジャンプ。1文字ナビゲーションを使わないとキー入力をアプリで"
-"解釈"
+"ブラウズモードでの1文字ナビゲーションの切り替え。1文字のキーによってページ内"
+"の各要素にジャンプ、または矢印キーだけを移動に使用"
 
 #. Translators: a message when a particular quick nav command is not supported in the current document.
 msgid "Not supported in this document"
@@ -1266,7 +1265,7 @@
 #. Review cursor is at the bottom line of the current navigator object.
 #. Landing at the end of a browse mode document when trying to jump to the end of the current container.
 msgid "bottom"
-msgstr "ボトム"
+msgstr "一番下"
 
 #. Translators: Description for the Move past end of container command in browse mode.
 msgid "Moves past the end  of the container element, such as a list or table"
@@ -3455,7 +3454,7 @@
 
 #. Translators: a message reported when review cursor is at the top line of the current navigator object.
 msgid "top"
-msgstr "トップ"
+msgstr "一番上"
 
 #. Translators: Input help mode message for move review cursor to top line command.
 msgid ""
@@ -4456,7 +4455,7 @@
 #. Translators: This is spoken when NVDA moves to an empty line.
 #. Translators: This is spoken when the line is considered blank.
 msgid "blank"
-msgstr "クーギョー"
+msgstr "ブランク"
 
 #. Translators: cap will be spoken before the given letter when it is capitalized.
 #, python-format
@@ -5797,7 +5796,7 @@
 
 #. Translators: The label for the Tools submenu in NVDA menu.
 msgid "Tools"
-msgstr "ツール"
+msgstr "ツール(&T)"
 
 #. Translators: The label of a menu item to open NVDA user guide.
 msgid "&User Guide"
@@ -5847,7 +5846,7 @@
 msgstr "前回保存された設定に戻す(&R)"
 
 msgid "Reset all settings to saved state"
-msgstr "すべての設定情報を保存されている設定に戻す"
+msgstr "前回保存された設定に戻す"
 
 #. Translators: The label for the menu item to reset settings to default settings.
 #. Here, default settings means settings that were there when the user first used NVDA.
@@ -5862,7 +5861,7 @@
 msgstr "設定情報の保存(&S)"
 
 msgid "Write the current configuration to nvda.ini"
-msgstr "現在の設定情報をnvda.iniに書き込む"
+msgstr "設定情報を保存する"
 
 #. Translators: The label for the menu item to open donate page.
 msgid "Donate"
@@ -6313,7 +6312,7 @@
 
 #. Translators: The message displayed while NVDA is being updated.
 msgid "Please wait while your previous installation of NVDA is being updated."
-msgstr "インストール済みのNVDAが更新されるまでお待ちください。"
+msgstr "NVDAが更新されるまでお待ちください。"
 
 #. Translators: The message displayed while NVDA is being installed.
 msgid "Please wait while NVDA is being installed"
@@ -6347,12 +6346,12 @@
 
 #. Translators: The message displayed when NVDA has been successfully updated.
 msgid "Successfully updated your installation of NVDA. "
-msgstr "インストール済みのNVDAの更新が終了しました。"
+msgstr "NVDAが更新されました。"
 
 #. Translators: The message displayed to the user after NVDA is installed
 #. and the installed copy is about to be started.
 msgid "Please press OK to start the installed copy."
-msgstr "インストールされたNVDAを実行するためにOKを押してください。"
+msgstr "インストールされたNVDAを実行するにはOKを押してください。"
 
 #. Translators: The title of a dialog presented to indicate a successful operation.
 msgid "Success"
@@ -6364,7 +6363,7 @@
 
 #. Translators: An informational message in the Install NVDA dialog.
 msgid "To install NVDA to your hard drive, please press the Continue button."
-msgstr "NVDAをハードディスクにインストールするには継続を押してください。"
+msgstr "NVDAをインストールするには継続を押してください。"
 
 #. Translators: An informational message in the Install NVDA dialog.
 msgid ""
@@ -6371,8 +6370,7 @@
 "A previous copy of NVDA has been found on your system. This copy will be "
 "updated."
 msgstr ""
-"システムに前のバージョンのNVDAがみつかりました。このNVDAはアップデートされま"
-"す。"
+"前のバージョンのNVDAがインストールされています。このNVDAは更新されます。"
 
 #. Translators: a message in the installer telling the user NVDA is now located in a different place.
 msgid ""
@@ -6412,11 +6410,11 @@
 "should first cancel this installation and completely uninstall NVDA before "
 "installing the earlier version."
 msgstr ""
-"現在インストールされているNVDAよりも前のバージョンのNVDAをインストールしてい"
-"ます。\n"
-"過去のバージョンに戻したい場合は、このインストールをキャンセルして、過去の"
-"バージョンをインストールする前に現在のバージョンをアンインストールしてくださ"
-"い。"
+"現在インストールされているNVDAよりも前のバージョンのNVDAをインストールしよう"
+"としています。\n"
+"前のバージョンに戻したい場合は、このインストールをキャンセルしてください。\n"
+"まず現在のNVDAをアンインストールして、それから前のバージョンのNVDAをインス"
+"トールし直してください。"
 
 #. Translators: The label of a button to proceed with installation,
 #. even though this is not recommended.
@@ -6570,7 +6568,7 @@
 
 #. Translators: The label of a checkbox in general settings to toggle automatic checking for updated versions of NVDA (if not checked, user must check for updates manually).
 msgid "Automatically check for &updates to NVDA"
-msgstr "自動的に確認してNVDAを更新(&U)"
+msgstr "NVDAの更新を自動的に確認(&U)"
 
 #. Translators: A message to warn the user when attempting to copy current settings to system settings.
 msgid ""
@@ -6604,7 +6602,7 @@
 
 #. Translators: The message displayed when errors were found while trying to copy current configuration to system settings.
 msgid "Error copying NVDA user settings"
-msgstr "NVDAのユーザー設定をコピー中にエラーが発生しました"
+msgstr "NVDAのユーザー設定のコピー中にエラーが発生しました"
 
 #. Translators: The message displayed when copying configuration to system settings was successful.
 msgid "Successfully copied NVDA user settings"
Index: userGuide.t2t
===================================================================
--- userGuide.t2t	(revision 23348)
+++ userGuide.t2t	(working copy)
@@ -677,7 +677,7 @@
 すべての設定を確実にコピーするため、最初にNVDA+Ctrl+CまたはNVDAメニュー内の設定情報の保存を実行してください。
 このオプションはインストールされたNVDAでのみ有効です。
 
-==== 自動的に確認してNVDAを更新 ====
+==== NVDAの更新を自動的に確認 ====
 このチェックボックスをチェックすると、NVDAは新しいバージョンが入手できるかどうかを自動的に確認し、それを通知します。
 NVDAメニュー「ヘルプ」の「更新を確認」を使って手動で更新を確認することもできます。
2015-09-06 19:10 Updated by: nishimoto
Comment

読み上げ位置の移動操作で一番端になったときの「トップ」「ボトム」「左」「右」の翻訳の再検討について。

トップを「一番上」ボトムを「一番下」に変更するなら、 左右も「一番左」「一番右」に揃えたいと思った。

実際にメッセージを更新したビルドを作って使ってみたが、あまりピンと来なかった。 JTalk が「一番下」などをちゃんと読めないという問題もあるが、これは JTalk が直すべき。 おそらく「一番」という序数の概念を不必要に持ち込むことが良くないのだろう。

「左端」「右端」「上端」「下端」も候補だが、 上下は特に「うえはし」「じょうたん」など読みが定まっておらず、 音声エンジンによって読み付与が安定しないのが難点である。

試していたら「上の端」「下の端」「右の端」「左の端」がよさそうに思えてきた。

念のために他のスクリーンリーダーの用語を確認したら、SPAN の教材にある程度まとまっていた:

http://span.jp/office2010_manual/word2010/input/cursor.html

2015-09-08 16:59 Updated by: nishimoto
Comment

コマンド早見表の「基本的なNVDAコマンド」の先頭:

読み上げ停止:「コントロール」

と書いてあるが、Ctrl キーは他の箇所ではすべて「 Ctrl 」という表記になっている。

2015-09-08 17:30 Updated by: nishimoto
Comment

同じくコマンド早見表

ブラウズモードの設定 (NVDA+Ctrl+B)

他に合わせるなら

ブラウズモード設定 (NVDA+Ctrl+B)

にするべき。

2015-09-15 19:10 Updated by: nishimoto
Comment

「1文字ナビゲーションを使用しない」モードを「矢印キーだけを移動に使用」モードと表現してみたが、 実際には NVDA+Shift+スペース で切り替えても Tab と Shift+Tab の移動は使えるので、 あまり正確な表現ではない。 「1文字ナビゲーションを使用」 「移動キーだけを使用」 といった別の案を考えている。 移動キーという言葉で矢印キーやTabだということが伝わるだろうか。。

2015-09-15 21:02 Updated by: nishimoto
Comment

個人的には下記の訳語に落ち着きつつあります。

#. Translators: Reported when single letter navigation in browse mode is turned off.
msgid "Single letter navigation off"
msgstr "英字キーを入力に使用"

#. Translators: Reported when single letter navigation in browse mode is turned on.
msgid "Single letter navigation on"
msgstr "1文字ナビゲーションを使用"

「1文字ナビゲーションを使用しない」を避けたい理由をあらためて書いておくと、 語尾の「使用しない」「使用する」を聞くまで操作の結果が把握できないこと、 そして否定文でしか説明できないとそのモードの使い道が理解されにくい、ということです。

2015-09-16 15:42 Updated by: minanono
Comment

一文字ナビゲーション 有効 一文字ナビゲーション 無効 (または、一文字ナビゲーションを有効にする、一文字ナビゲーションを無効にする、オン、オフなど)

ではいかがでしょうか。

一文字ナビゲーションをしないことと、英文字を入力に使用することが、必ずしも頭の中で一致しなかったためです・・・。

2015-09-16 15:57 Updated by: nishimoto
Comment

ありがとうございます。 例えば Gmail 標準インターフェースを使っていて、 g i で受信ボックスにジャンプをしたいときは「英文字を入力に使用」モードで、 g でメールの中の画像にジャンプしたいときは「1文字ナビゲーションを使用」モードで、 という使われ方になります。

2015.3jp では「1文字ナビゲーションを使用しない」 「1文字ナビゲーションを使用する」と翻訳しています。

自分で実演するためにいろいろ試していて、 前者を「1文字ナビゲーション」ではない言葉で始まる表現にしないと、 操作が効率的にならないと感じています。

2015-09-17 20:06 Updated by: minanono
Comment

大分苦しいですが、 有効 1文字ナビゲーション 無効 1文字ナビゲーション

はいかがでしょう。

電子書籍や、オーディオブックのタイトル付けでも似たような問題があって、長いタイトルだと「タイトル 1巻」の1巻が表示されなくて、同じタイトルの物が並んで区別出来なかったりします。ファイル名が変えられる時は、「3巻 タイトル」と付け替えたりしています。

ツイッターの前後ツイート移動もjkですが、これが一文字ナビゲーションではないという概念も、キーの送り先(NVDAかアプリケーションか)の違いをしっかり意識していないと難しくて、結構紛らわしいですね。あまり区別していなかったので、どちらも一文字で移動していると言えば移動していますし・・・。

2015-11-03 12:55 Updated by: nishimoto
Comment

nvda.po の更新予定。 新しい作業に合わせてキーの名前をカタカナ表記に統一。

@@ -4213,7 +4212,7 @@
 
 #. Translators: This is the name of a key on the keyboard.
 msgid "caps lock"
-msgstr "caps lock"
+msgstr "キャプスロック"
 
 #. Translators: This is the name of a key on the keyboard.
 msgid "ctrl"
@@ -4221,7 +4220,7 @@
 
 #. Translators: This is the name of a key on the keyboard.
 msgid "alt"
-msgstr "Alt"
+msgstr "オルト"
 
 #. Translators: This is the name of a key on the keyboard.
 msgid "shift"
@@ -4289,7 +4288,7 @@
 
 #. Translators: This is the name of a key on the keyboard.
 msgid "num lock"
-msgstr "num lock"
+msgstr "ナムロック"
 
 #. Translators: This is the name of a key on the keyboard.
 msgid "print screen"
@@ -4425,11 +4424,11 @@
 
 #. Translators: This is the name of a key on the keyboard.
 msgid "left alt"
-msgstr "左Alt"
+msgstr "左オルト"
 
 #. Translators: This is the name of a key on the keyboard.
 msgid "right alt"
-msgstr "右Alt"
+msgstr "右オルト"
 
 #. Translators: This is the name of a key on the keyboard.
 msgid "right windows"
2015-11-13 15:59 Updated by: nishimoto
  • Ticket Close date is changed to 2015-11-13 15:59
  • Status Update from Open to Closed

Edit

Please login to add comment to this ticket » Login